<template>
	<div>
		<CommonHeader :setOrden="true" class="CommonHeader" :showMenu="true"  :showBackButton="true" :title="$t('newPassword')"></CommonHeader>
		<div class="content">
			<div class="content-title">
				<p>{{ $t('newPassword') }}</p>
			</div>
			<p>Escribe tu nueva contraseña te sugerimos usar mayusculas, minusculas y numeros.</p>
			<form class="form-crear">
				<div class="form-group">
					<label>Nueva contraseña</label>
					<input placeholder="Escribe tu contraseña" />
				</div>

				<div class="form-group">
					<label>Repetir contraseña </label>
					<input placeholder="Escribe tu contraseña" />
				</div>
			</form>
			<AjaxButton class="final-button" :loading="loading" :text="$t('continue')" @click="sendForm()"></AjaxButton>
		</div>
	</div>
</template>
<script lang="ts">
import { Component, Vue } from 'vue-property-decorator'
import CommonHeader from '@/components/CommonHeader.vue'
import AjaxButton from '@/components/AjaxButton.vue'
@Component({
	components: {
        CommonHeader,
        AjaxButton
	},
})
export default class Menu extends Vue {}
</script>
<style lang="scss" scoped>
.CommonHeader {
	text-transform: uppercase;
}
p {
	margin: 0;
}
.content {
	padding: 1.5em;
}
.content-title {
	p {
		color: rgba(254, 202, 56, 1);
		font-weight: bold;
		font-size: 2em;
        margin:0.5em 0;
	}
}

.form-crear {
	label {
		font-size: 1em;
		color: #000;
		margin-bottom: 0.4em;
	}
	.form-group {
		display: grid;
		margin: 1em 0;

		input {
			border-radius: 7px;
			border: 0.5px solid rgba(192, 192, 192, 1);
			padding: 0.8em 0.8em 0.8em 10px;
		}
		input::-webkit-input-placeholder {
			color: rgba(117, 112, 112, 1);
			font-size: 1.2em;
		}
	}
}

.final-button{
    color: #FFFFFF;
    font-size: 18px;
}
</style>